#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDF,0x01,0x4C,0xE5,0x46,0x5A,0x5D,0x5B,0xF1,0x96,0xDB,0x13,
		0x67,0x4C,0xD9,0x3D,0x8C,0x0D,0x7B,0x04,0xCC,0x94,0x59,0x13,
		0x8C,0x14,0x9E,0xF6,0xB9,0x10,0x70,0xD2,0xF7,0x38,0xB2,0xDC,
		0x81,0x74,0xE7,0xEB,0x72,0x05,0x22,0xC7,0x86,0xD6,0x1E,0xCC,
		0x43,0xDC,0x7C,0x72,0xED,0xAC,0x7D,0xA5,0xDC,0x4A,0x7C,0xE4,
		0x19,0xCA,0xD8,0x17,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
